Token Lists by Asset Platform ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/token_lists/{asset_platform_id}/all.json \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "CoinGecko",
"logoURI": "https://static.coingecko.com/gecko-new.svg",
"keywords": [
"defi"
],
"timestamp": "2026-05-26T04:03:03.404+00:00",
"tokens": [
{
"chainId": 1,
"address": "0x77c6e4a580c0dce4e5c7a17d0bc077188a83a059",
"name": "Swerve.fi USD",
"symbol": "SWUSD",
"decimals": 18,
"logoURI": "https://assets.coingecko.com/coins/images/12918/thumb/swerve.png?1696512706"
},
{
"chainId": 1,
"address": "0xf8e57ac2730d3088d98b79209739b0d5ba085a03",
"name": "Optopia AI",
"symbol": "OPAI",
"decimals": 18,
"logoURI": "https://assets.coingecko.com/coins/images/39332/thumb/OPAI.jpg?1721777150"
}
],
"version": {
"major": 1491,
"minor": 3,
"patch": 0
}
}ID Map
Token Lists by Asset Platform ID
To get full list of tokens of a blockchain network (asset platform) that is supported by Ethereum token list standard
GET
/
token_lists
/
{asset_platform_id}
/
all.json
Token Lists by Asset Platform ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/token_lists/{asset_platform_id}/all.json \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "CoinGecko",
"logoURI": "https://static.coingecko.com/gecko-new.svg",
"keywords": [
"defi"
],
"timestamp": "2026-05-26T04:03:03.404+00:00",
"tokens": [
{
"chainId": 1,
"address": "0x77c6e4a580c0dce4e5c7a17d0bc077188a83a059",
"name": "Swerve.fi USD",
"symbol": "SWUSD",
"decimals": 18,
"logoURI": "https://assets.coingecko.com/coins/images/12918/thumb/swerve.png?1696512706"
},
{
"chainId": 1,
"address": "0xf8e57ac2730d3088d98b79209739b0d5ba085a03",
"name": "Optopia AI",
"symbol": "OPAI",
"decimals": 18,
"logoURI": "https://assets.coingecko.com/coins/images/39332/thumb/OPAI.jpg?1721777150"
}
],
"version": {
"major": 1491,
"minor": 3,
"patch": 0
}
}A token is only included if its contract address has been added by the CoinGecko team. To request a missing token, submit a request.
SDK Examples
const response = await client.tokenLists.getAllJson('ethereum');
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Asset platform ID.
*refers to /asset_platforms.
Response
200 - application/json
Token list by asset platform
Token list name
Token list logo URL
Token list keywords
Token list generation timestamp
List of tokens
Show child attributes
Show child attributes
Token list version
Show child attributes
Show child attributes
Was this page helpful?
⌘I

